| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::DatabaseLoadSaveFileInfoProvider Class Reference
Inheritance diagram for Digikam::DatabaseLoadSaveFileInfoProvider:

## Public Member Functions
QSize | dimensionsHint (const QString &path) override
| Gives a hint at the size of the image.
int | orientationHint (const QString &path) override
| Gives a hint at the orientation of the image.

## Member Function Documentation

## ◆ dimensionsHint()

QSize Digikam::DatabaseLoadSaveFileInfoProvider::dimensionsHint | ( | const QString & | path | ) |
| override virtual

This can be used to supersede the Exif information in the file.

Implements Digikam::LoadSaveFileInfoProvider.

## ◆ orientationHint()

int Digikam::DatabaseLoadSaveFileInfoProvider::orientationHint | ( | const QString & | path | ) |
| override virtual

This can be used to supersede the Exif information in the file. Will not be used if DMetadata::ORIENTATION_UNSPECIFIED (default value)

Implements Digikam::LoadSaveFileInfoProvider.